System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Constraint System.ComponentModel.DefaultProperty("ConstraintName") System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.ForeignKeyConstraintEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

A restricts the action performed when a value in a column (or columns) is either deleted or updated. Such a constraint is intended to be used with primary key columns. In a parent/child relationship between two tables, deleting a value from the parent table can affect the child rows in one of the following ways.

The child rows can also be deleted (a cascading action).

The values in the child column (or columns) can be set to null values.

The values in the child column (or columns) can be set to default values.

An exception can be generated.

objects are contained in the of a , which is accessed through the property.

Constraints are not enforced unless the property is set to true.

The is enforced whenever a object's method is invoked.

Represents an action restriction enforced on a set of columns in a primary key/foreign key relationship when a value or row is either deleted or updated.

- Constructor
  To be added

  Initializes a new instance of the class with the specified parent and child objects.

  The parent in the constraint.
  The child in the constraint.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified arrays of parent and child objects.

  An array of parent in the constraint.
  An array of child in the constraint.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified name, parent and child objects.

  The name of the constraint.
  The parent in the constraint.
  The child in the constraint.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified name, and arrays of parent and child objects.

  The name of the . If null or empty string, a default name will be given when added to the constraints collection.
  An array of parent in the constraint.
  An array of child in the constraint.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  This constructor is provided for design time support in the Visual Studio environment. objects created by using this constructor must then be added to the collection via . Tables and columns with the specified names must exist at the time the method is called, or if has been called prior to calling this constructor, the tables and columns with the specified names must exist at the time that is called.

  The name of the constraint.
  The name of the parent that contains parent objects in the constraint.
  An array of the names of parent objects in the constraint.
  An array of the names of child objects in the constraint.
  One of the values. Possible values include None, Cascade, and Default.
  One of the values to use when a row is deleted. The default is Cascade. Possible values include: None, Cascade, SetNull, SetDefault, and Default.
  One of the values to use when a row is updated. The default is Cascade. Possible values include: None, Cascade, SetNull, SetDefault, and Default.
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Constructor
  2.0.0.0
  System.ComponentModel.Browsable(false)
  To be added.

  This constructor is provided for design time support in the Visual Studio environment. objects created by using this constructor must then be added to the collection via . Tables and columns with the specified names must exist at the time the method is called, or if has been called prior to calling this constructor, the tables and columns with the specified names must exist at the time that is called.

  The name of the constraint.
  The name of the parent that contains parent objects in the constraint.
  The name of the .
  An array of the names of parent objects in the constraint.
  An array of the names of child objects in the constraint.
  One of the values. Possible values include None, Cascade, and Default.
  One of the values to use when a row is deleted. The default is Cascade. Possible values include: None, Cascade, SetNull, SetDefault, and Default.
  One of the values to use when a row is updated. The default is Cascade. Possible values include: None, Cascade, SetNull, SetDefault, and Default.
- Property
  System.Data.AcceptRejectRule To be added: an object of type 'AcceptRejectRule'

  Changes to a or are not final until the AcceptChanges method is invoked. At that point, the determines the course of action on any values that have been changed or deleted.

  Indicates the action that should take place across this constraint when is invoked.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Data.AcceptRejectRule.None)
- Property
  System.Data.DataColumn[] To be added: an object of type 'DataColumn []' To be added

  Gets the child columns of this constraint.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.ReadOnly(true)
- Property
  System.Data.Rule To be added: an object of type 'Rule'

  When a row is deleted from a parent table, the determines what will happen in the columns of the child table (or tables). If the rule is set to Cascade, child rows will be deleted.

  If set to SetNull, a DBnull will be placed in the appropriate columns of the affected rows. Depending on your data source, a null value may or may not be permitted in a column. For example, SQLServer allows multiple null values to be found in a primary key column, even if they are not unique. In a , however, if a object's property is set to true, multiple null values are not allowed in primary key columns.

  If set to SetDefault, the default value for the column is assigned.

  Gets or sets the action that occurs across this constraint when a row is deleted.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Data.Rule.Cascade)
- Method
  System.Boolean `` To be added

  Gets a value indicating whether the current is identical to the specified object.

  true, if the objects are identical; otherwise, false.

  The object to which this is compared. Two are equal if they constrain the same columns. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Gets the hash code of this instance of the object.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataColumn[] To be added: an object of type 'DataColumn []' To be added

  The parent columns of this constraint.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.ReadOnly(true)
- Property
  System.Data.DataTable To be added: an object of type 'DataTable' To be added

  Gets the parent table of this constraint.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.ReadOnly(true)
- Property
  System.Data.DataTable To be added: an object of type 'DataTable' To be added

  Gets the child table of this constraint.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.ReadOnly(true)
- Property
  System.Data.Rule To be added: an object of type 'Rule' To be added

  Gets or sets the action that occurs across this constraint on when a row is updated.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Data.Rule.Cascade)